Description

Nalezy zaimplementowaé metode (w kontrolerze i serwisach) do przenoszenia elementéw pomiedzy rodzicami.
Metoda powinna przyjmowaé 3 argumenty:

1. dokumenty zrédfowe d

2. dokument docelowy

3. czy usung¢ rodzica zrédtowego przy przenoszeniu wszystkich dzieci

Po stronie Ul przenoszenie bedzie realizowane na 2 sposoby -> przenoszenie pojedynczego elementu do innego rodzica,
przenoszenie wielu dzieci rodzica, do innego z opcja usuniecia rodzica zrédtowego - te 2 sposoby da sie obstuzy¢ jednym typem
Zgdania.

Dodatkowo nalezy zablokowaé mozliwo$é edyciji struktury dokumentu podczas save (poza dodawaniem nowego dokumentu). Mozna
to zrealizowa¢ w prosty sposéb, poprzez dodanie sumy kontrolnej na obiekcie structure i jezeli jest préba zapisu z inng strukturg (inny
hashcode - wyglada na to, ze jest poprawnie zaimlementowany), wtedy zwracaé btad autoryzacji.

Related issues:
Precedes Jupiter - Zadanie # 1705: Dodanie operacji do zarzadzania strukturg ... Testowanie  2017-06-08 2017-06-08

Associated revisions

Revision 428789c4 - 2017-06-09 12:43 - Michat Komar

refs #1726: Dodanie operacji na strukturze. Zostaty testy IT.

Revision 0f353d5b - 2017-06-09 14:09 - Michat Komar

refs #1726: Chwilowe usuniecie asynca

Revision cd2174c4 - 2017-06-09 14:18 - Michat Komar

refs #1726: Async za pomocg asyncjobrunner

Revision 49db5c39 - 2017-06-13 13:11 - Michat Komar

refs #1726: Poprawki. Dodanie testéw integracyjnych

Revision e03b1e85 - 2017-06-13 13:33 - Michat Komar

refs #1726: Poprawki. Dodatkowe testy
Revision 14ae4607 - 2017-06-13 14:03 - Michat Komar

refs #1726: Poprawienie testéw

Revision 2d2f57e1 - 2017-06-13 14:19 - Michat Komar

refs #1726: Poprawienie testéw

Revision 8c665bb1 - 2017-06-13 14:39 - Michat Komar

refs #1726: Poprawienie testow

Revision 4354361 - 2017-06-14 11:19 - Michat Komar

refs #1726: Poprawienie pobierania hashcode struktury

Revision 5312da37 - 2017-06-14 11:34 - Michat Komar

refs #1726: Poprawienie testéw

Revision e3846¢6b - 2017-06-14 15:21 - Michat Komar

refs #1726: Poprawienie czcionek w ngx-datatable

Revision 9696ee06 - 2017-06-23 12:37 - Lukasz Waskiewicz

refs #1726 dodanie kilku testéw

History

#1 - 2017-06-07 08:39 - Michat Komar

- Precedes Zadanie #1705: Dodanie operacji do zarzadzania strukturg na drzewie added

#2 - 2017-06-13 14:19 - Michat Komar

- Status changed from Nowy to Testowanie

- Assignee changed from Michat Komar to tukasz Waskiewicz
- % Done changed from 0 to 100

Dodatem testy, ktore pokrywajg praktycznie 100% przypadkéw. Ale mozesz sprobowac jeszcze co$ wymyslic.

#3 - 2017-06-23 12:37 - Lukasz Waskiewicz
- Status changed from Testowanie to Rozwigzany

- Assignee changed from tukasz Waskiewicz to Michat Komar

2024-05-19

2/3



OK, dodatem testy na przenoszenie roznych typéw jesli struktura pozwala
